#include "entity.glsl"

in vec2 v_TextureCoord;
flat in int v_Entity;

out vec4 FragColor;

void main() {
  Entity e = entities[v_Entity];
  vec4 textureColor = tilesetGetColor(e.tileset, v_TextureCoord);

  // We remove the pink color as transparent
  if(textureColor.r == 1.0 && textureColor.g == 0.0 && textureColor.b == 1.0) {
    discard;
  }

  FragColor = textureColor;
}
