/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "assert/assert.h"
#include "assert/assertgl.h"
#include "entityshader.h"
#include "entity_vert.glsl.h"
#include "entity_frag.glsl.h"

entityshader_t ENTITY_SHADER;

void entityShaderInit() {
  memset(&ENTITY_SHADER, 0, sizeof(entityshader_t));

  shaderInit(
    &ENTITY_SHADER.shader,
    entity_vertShaderSource,
    entity_fragShaderSource
  );

  // Uniform buffers

  // Uniforms
}

void entityShaderDispose() {
  shaderDispose(&ENTITY_SHADER.shader);
}